/***************************************************************************
 *   Copyright (C) 2010  Alex Fiestas <alex@eyeos.org>                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA            *
 ***************************************************************************/

#ifndef CREATEPAIREDDEVICE_H
#define CREATEPAIREDDEVICE_H

#include <QtCore/qthread.h>
#include <QString>
#include <solid/control/bluetoothinterface.h>

class CreatePairedDevice : public QThread
{
    Q_OBJECT
public:
    CreatePairedDevice(const QString& finalDev, QObject* parent = 0);

public:
    virtual void run();

private:
    Solid::Control::BluetoothInterface *m_iface;
    QString m_finalDev;
};

#endif //CREATEPAIREDDEVICE_H