/*
    knetd, KDE Network Daemon

    Copyright (c) 2005 by Engin AYDOGAN		<engin @ bzzzt.biz>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/

#ifndef TOOLTIP_H_
#define TOOLTIP_H_

#include <qframe.h>
#include <qpixmap.h>

class Popup : public QFrame
{
public:
	Popup( const QString& text, const QString& caption = QString::null,
		const QPixmap& bg = QPixmap(), const QPixmap& icon = QPixmap(), 
		QWidget* p = 0, const char* n = 0 );
	virtual ~Popup();
private:
	int m_counter;
	QString m_text, m_caption;
	QPixmap m_icon, m_bg;
};

#endif
