# - Try to find the libpcap directory library
# Once done this will define
#
#  LIBPCAP_FOUND - system has LIBPCAP
#  LIBPCAP_INCLUDE_DIR - the LIBPCAP include directory
#  LIBPCAP_LIBRARIES - The libraries needed to capture network packets

if(LIBPCAP_INCLUDE_DIR AND LIBPCAP_LIBRARIES)
   set(LIBPCAP_FIND_QUIETLY TRUE)
   endif(LIBPCAP_INCLUDE_DIR AND LIBPCAP_LIBRARIES)
   
   FIND_PATH(LIBPCAP_INCLUDE_DIR pcap.h)
   
   FIND_LIBRARY(LIBPCAP_LIBRARIES NAMES pcap )
   
   include(FindPackageHandleStandardArgs)
   FIND_PACKAGE_HANDLE_STANDARD_ARGS(LIBPCAP DEFAULT_MSG LIBPCAP_LIBRARIES
LIBPCAP_INCLUDE_DIR)

MARK_AS_ADVANCED(LIBPCAP_INCLUDE_DIR LIBPCAP_LIBRARIES)
