/***************************************************************************
 *   Copyright (C) 2008 by Jakub Stachowski <qbast@go2.pl>                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef OPTIONSDIALOG_H
#define OPTIONSDIALOG_H

#include <KConfigDialog>

class KConfigSkeleton;
class ForwardingModel;
class QItemSelectionModel;

class OptionsDialog : public KConfigDialog
{
Q_OBJECT
public:
  OptionsDialog(QWidget* parent, const QString& name, KConfigSkeleton* skel);
protected slots:
  void addForward();
  void removeForward();
private:
  ForwardingModel* model;
  QItemSelectionModel* selection;
  KConfigSkeleton* skeleton;
};

#endif // OPTIONSDIALOG_H
