/*
 * Copyright 2010  Jonas Emanuel Müller <zanoi@zanoi.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of 
 * the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef DUMMYLOADER_H
#define DUMMYLOADER_H

#include "config.h" //krazy:exclude=includes

#include "loader.h"
#include "channel.h"

#include <QObject>

class QString;

namespace Videocatcher {

class DummyLoader : public Loader
{
    Q_OBJECT
    
public:
    DummyLoader(const QString &url);
    virtual ~DummyLoader();
    virtual void load();
};

} //namespace Videocatcher

#endif
