/*
    knetd, KDE Network Daemon

    Copyright (c) 2005 by Engin AYDOGAN		<engin @ bzzzt.biz>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/

#ifndef KNETD_SYSTEM_TRAY_H_
#define KNETD_SYSTEM_TRAY_H_

#include <ksystemtray.h>

class KNetD;

class SystemTray : public KSystemTray
{
Q_OBJECT
public:
	SystemTray( KNetD* );
public slots:
	void deviceFound( QString );
	void deviceRemoved( QString );
	void message( const QString& );
private:
	KNetD* m_daemon;
};

#endif
